DDIR(1)

NAME
ddir - display hierarchical directory tree

SYNOPSIS
  ddir [options] [DIR]

DESCRIPTION
Display an indented directory tree using ASCII graphical characters to represent the hierarchical structure. The directories to include or exclude can be specified with command line options. Ddir is a Perl implementation of the tree(1) program. The extra "d" in front of name was used to differentiating the utility from an existing dir(1) program.

OPTIONS

-d, --dir
    Display only directories.

-i, --include REGEXP
    Include files matching regexp. The match is done against whole path. The option can be used multiple times.

    If this option is not supplied, every file is automatically included. The matches can be further filtered by using options --exclude.

-n, --no-exclude-vcs
    Do not exclude version controlled dirs.

-v, --verbose LEVEL
    Print informational messages. Increase numeric LEVEL for more verbosity.

-x, --exclude REGEXP
    Ignore files matching regexp. The match is done against whole path. The option can be used multiple times.

    This option is applied after possible --include matches.

-X, --exclude-vcs
    Enabled by default. Exclude version control directories. See --help-exclude.

    Use --no-exclude-vcs to include all in listing.

-h, --help
    Print text help

--help-exclude
    Print default exclude value when --exclude-vcs is used.

--help-html
    Print help in HTML format.

--help-man
    Print help in manual page man(1) format.

-V, --version
    Print contact and version information.

EXAMPLES
Show directory tree by excluding version control directories. Display only directories:

    ddir --dir .

    .
    +--doc/
    |  +--manual/
    +--bin/

TROUBLESHOOTING
None.

ENVIRONMENT
None.

FILES
None.

EXIT STATUS
Not defined.

DEPENDENCIES
Uses standard Perl modules.

BUGS AND LIMITATIONS
None.

SEE ALSO
dir(1) tree(1) wcd(1)

AVAILABILITY
Homepage is at http://freecode.com/projects/ddir

AUTHOR
Jari Aalto

LICENSE AND COPYRIGHT
Copyright (C) 1995-2025 Jari Aalto. Copyright (C) 1994 Brian Blackmore.

This program and its documentation is free software; you can redistribute and/or modify program under the terms of GNU General Public license either version 2 of the License, or (at your option) any later version.